# Registry.cpp File Reference

`#include "ace/Registry.h"`
`#include "ace/os_include/os_netdb.h"`
`#include "ace/OS_NS_unistd.h"`

Include dependency graph for Registry.cpp:

## Defines

#define | ACE_REGISTRY_CALL_RETURN(X)

## Define Documentation

#define ACE_REGISTRY_CALL_RETURN | ( | X |  | ) |

Value:

    do { \
        if (X != ERROR_SUCCESS) \
        { \
          errno = X; \
          return -1; \
        } \
        else \
          return 0; \
        } while (0)